﻿@{
    ViewData["Title"] = "PPDB Input Observasi";
}
<section class="section">
    <div class="section-header">
        <h1>Input Observasi</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item"><a href="#">Dashboard</a></div>
            <div class="breadcrumb-item"><a href="#">Ppdb</a></div>
            <div class="breadcrumb-item active"><a href="#">Input Observasi</a></div>
        </div>
    </div>

    <div class="section-body" id="no-data">
        <div id="loading-data" style="text-align:center;">
            <div style="margin-top:150px;">
                <i class="fa fa-spinner fa-spin fa-4x"></i>
            </div>
        </div>
        <div id="empty-data" style="text-align:center;display:none;">
            <img src="~/assets/img/ilus-data.png" width="400px" class="img-fluid" />
            <div style="margin-top:-1px">
                Ups! <span id="htmlInfoError">Sepertinya tidak ada data, silahkan tambah baru</span> <br /><br />
                @*<button type="button" class="btn btn-primary btn-flat" onclick="DataEditor();"><i class="fa fa-plus"></i> Tambah Baru</button>*@
            </div>
        </div>
    </div>
    <div class="section-body" id="data" style="display:none;">
        <div class="card" id="ListData">
            <div class="card-header form-row">
                <h4 class="col-md-6">List Data</h4>
                <div class="col-md-6 text-right">
                    <a href="/api/ppdbs/downloadobservasi" class="btn btn-success btn-flat"><i class="fa fa-download"></i> Download</a>
                    <button type="button" class="btn btn-primary btn-flat" data-toggle="modal" data-target="#ModalUpload"><i class="fa fa-upload"></i> Upload</button>
                </div>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table id="TabelData" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Aksi</th>
                                <th>No. Pendaftaran</th>
                                <th>Jenjang Pendidikan</th>
                                <th>Jenis Daftar</th>
                                <th>Jalur Daftar</th>
                                <th>Kategori Daftar</th>
                                <th>Kelas</th>
                                <th>Nama Calon Siswa</th>
                                <th>Tanggal Lahir</th>
                                <th>Nama Ibu</th>
                                <th>No HP Ortu</th>
                                <th>Tanggal Daftar</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Aksi</th>
                                <th>No. Pendaftaran</th>
                                <th>Jenjang Pendidikan</th>
                                <th>Jenis Daftar</th>
                                <th>Jalur Daftar</th>
                                <th>Kategori Daftar</th>
                                <th>Kelas</th>
                                <th>Nama Calon Siswa</th>
                                <th>Tanggal Lahir</th>
                                <th>Nama Ibu</th>
                                <th>No HP Ortu</th>
                                <th>Tanggal Daftar</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>

        <div class="col-md-8 card" id="EditorForm" style="display:none;margin:0px auto">
            <div class="card-header form-row">
                <h4 class="col-6">Editor Form</h4>
                <div class="col-6 text-right">
                    <button type="button" class="btn btn-danger btn-flat" onclick="DataProsesModal('tidakdatang');"><i class="fa fa-times"></i> Tidak Datang</button>
                    <button type="button" class="btn btn-success btn-flat" onclick="DataProsesModal('datang');"><i class="fa fa-check"></i> Datang</button>
                </div>
            </div>
            <div class="card-body">
                @* <form id="FormEditor" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Nomor Pendaftaran</label>
                        <div class="col-sm-8">
                            <input type="text" id="IdPpdbDaftar" name="IdPpdbDaftar" class="form-control" readonly />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Jenis Kategori</label>
                        <div class="col-sm-8">
                            <select class="form-control" name="IdJenisKategoriPendaftaran" data-input="wajib" disabled>
                                <option value="">Select One</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row" id="divIdUnit">
                        <label class="col-sm-4 col-form-label">Jenjang Pendidikan</label>
                        <div class="col-sm-8">
                            <select class="form-control" id="IdUnit" name="IdUnit" data-input="wajib" disabled>
                                <option value="">Select One</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row" id="divIdKelas">
                        <label class="col-sm-4 col-form-label">Kelas</label>
                        <div class="col-sm-8">
                            <select class="form-control" id="IdKelas" name="IdKelas" data-input="wajib" disabled>
                                <option value="">Select One</option>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row" id="divIdJenisPendaftaran">
                        <label class="col-sm-4 col-form-label">Jenis Daftar</label>
                        <div class="col-sm-8">
                            <select class="form-control" name="IdJenisPendaftaran" data-input="wajib" disabled>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row" id="divIdJalurPendaftaran">
                        <label class="col-sm-4 col-form-label">Jalur Daftar</label>
                        <div class="col-sm-8">
                            <select class="form-control" id="IdJalurPendaftaran" name="IdJalurPendaftaran" data-input="wajib" disabled>
                            </select>
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Nisn</label>
                        <div class="col-sm-8">
                            <input id="NikSiswa" type="number" name="Nisn" class="form-control" placeholder="Ketik Nisn Calon Peserta Didik..." data-input="wajib" readonly />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">NIK Siswa</label>
                        <div class="col-sm-8">
                            <input id="NikSiswa" type="number" name="NikSiswa" class="form-control" placeholder="Ketik NIK Calon Peserta Didik..." data-input="wajib" readonly />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Nama Siswa</label>
                        <div class="col-sm-8">
                            <input id="Nama" type="text" name="Nama" class="form-control" placeholder="Ketik Nama Calon Peserta Didik..." data-input="wajib" readonly />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Nama Ibu</label>
                        <div class="col-sm-8">
                            <input id="NamaIbu" type="text" name="NamaIbu" class="form-control" placeholder="Ketik Nama Ibu..." data-input="wajib" readonly />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">No Handphone</label>
                        <div class="col-sm-8">
                            <input id="NoHandphoneOrtu" type="number" name="NoHandphoneOrtu" class="form-control" placeholder="Ketik No Handphone..." data-input="wajib" readonly />
                        </div>
                    </div>
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">Alamat E-Mail</label>
                        <div class="col-sm-8">
                            <input id="EmailOrtu" type="email" name="EmailOrtu" class="form-control" placeholder="Ketik Alamat E-Mail..." data-input="wajib" readonly />
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="form-row">
                            <div class="col-sm-12"><button type="button" onclick="Kembali();" class="btn btn-danger btn-block"><i class="fa fa-arrow-alt-circle-left"></i> Kembali</button></div>
                        </div>
                    </div>
                </form> *@
                @Html.Partial("./GetById")
            </div>
        </div>
    </div>
</section>

<div class="modal fade" id="ModalProses" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Input Observasi</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <div id="divFormDatang">
                    <form id="FormProses" class="form-horizontal" action="#" enctype="multipart/form-data">
                        <div class="form-group row">
                            <label class="col-sm-4 col-form-label">Status Observasi</label>
                            <div class="col-sm-8">
                                <select class="form-control" name="IdStatusObservasi" data-input="wajib">
                                    <option value="">Select One</option>
                                    <option value="1">Diterima</option>
                                    <option value="2">Tidak Diterima</option>
                                    <option value="3">Cadangan</option>
                                </select>
                            </div>
                        </div>
                        <div id="secFormDiterima" style="display:none;">
                            <div class="form-group row" id="divIdUnit">
                                <label class="col-sm-4 col-form-label">Jenis Biaya Daftar</label>
                                <div class="col-sm-8">
                                    <select class="form-control select2" name="IdJenisBiayaPpdb[]" data-input="wajib" multiple="" style="width:100%">
                                        <option value="">Select One</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-sm-4 col-form-label">Catatan Observasi</label>
                                <div class="col-sm-8">
                                    <textarea id="CatatanObservasi" name="CatatanObservasi" class="form-control" rows="3" style="height:auto" placeholder="">-</textarea>
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-sm-4 col-form-label">Catatan Wawancara</label>
                                <div class="col-sm-8">
                                    <textarea id="CatatanWawancara" name="CatatanWawancara" class="form-control" rows="3" style="height:auto" placeholder="">-</textarea>
                                </div>
                            </div>
                        </div>
                        
                    </form>
                </div>
                <div id="divFormTidakDatang">
                    <form id="FormProsesTidakDatang" class="form-horizontal" action="#" enctype="multipart/form-data">
                        <div class="form-group row">
                            <label class="col-sm-4 col-form-label">Catatan Observasi</label>
                            <div class="col-sm-8">
                                <textarea id="CatatanObservasiTidakDatang" name="CatatanObservasiTidakDatang" class="form-control" rows="3" style="height:auto" placeholder="">-</textarea>
                            </div>
                        </div>
                    </form>
                </div>
                
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button>
                <button type="button" class="btn btn-primary" id="BtnProses" onclick="DataInputObservasi();">Simpan</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="ModalUpload" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Upload Excel Observasi</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="FormUpload" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <div class="form-group row">
                        <label class="col-sm-4 col-form-label">File</label>
                        <div class="col-sm-8">
                            <input id="FileUpload" type="file" name="FileUpload" class="form-control" data-input="wajib" />
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button>
                <button type="button" class="btn btn-primary" onclick="DataUploadHasilObservasi();">Mulai Upload</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="ModalKembalikan" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="">Kembalikan Berkas</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form id="FormKembalikan" class="form-horizontal" action="#" enctype="multipart/form-data">
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;" for="id_pendaftaran">No. Pendaftaran:</label>
                        <div class="col-sm-7">
                            <input type="text" name="IdPpdbDaftar" class="form-control" id="IdPpdbDaftar" placeholder="ID" readonly="">
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;" for="id_pendaftaran">Nama Calon Siswa:</label>
                        <div class="col-sm-7">
                            <input type="text" name="NamaCalonSiswa" class="form-control" id="NamaCalonSiswa" placeholder="Nama Calon Siswa" readonly="">
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;" for="proses_saat_ini">Proses Saat Ini:</label>
                        <div class="col-sm-7">
                            <input type="text" name="NamaProses" class="form-control" id="NamaProses" readonly="">
                        </div>
                    </div>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;" for="email">Alamat E-Mail:</label>
                        <div class="col-sm-7">
                            <input type="email" name="Email" class="form-control" id="Email" placeholder="Ketikkan Alamat E-Mail" readonly="">
                        </div>
                    </div>
                    <hr>
                    <div class="form-group form-row">
                        <label class="col-form-label col-sm-5" style="text-align:left;" for="">Kembalikan Ke:</label>
                        <div class="col-sm-7">
                            <select class="form-control" name="IdProses" id="IdProses">
                                <option value="">- Pilih Salah Satu -</option>
                                <option value="1">Registrasi</option>
                                <option value="2">Aktivasi VA</option>
                                <option value="3">Verifikasi Biaya Pendaftaran</option>
                                <option value="4">Input Observasi</option>
                                <option value="6">Verifikasi Biaya Pendidikan</option>
                                <option value="7">Pengesahan</option>
                                <option value="-1">Pengunduran Diri</option>
                                <option value="-2">Daftar Tunggu</option>
                            </select>
                        </div>
                    </div>
                </form>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-dark" data-dismiss="modal">Tutup</button>
                <button type="button" class="btn btn-primary" onclick="DataKembalikan()">Kembalikan</button>
            </div>
        </div>
    </div>
</div>